﻿using Borepin.Base;
using Prism.Commands;
using Prism.Navigation;
using Prism.Services;
using System.Threading.Tasks;
using System.Windows.Input;

namespace Borepin.PageModel.SetUpProcess
{
    public class WelcomePageModel : PageModelBase
    {
        #region Constructors
        public WelcomePageModel(INavigationService navigationService, IPageDialogService pageDialogService) : base(navigationService, pageDialogService)
        {
            NextCommand = new DelegateCommand<object>(NextCommandCommandExecute);
        }
        #endregion

        #region Commands
        private ICommand _NextCommand;
        public ICommand NextCommand
        {
            get => _NextCommand;
            set => SetProperty(ref _NextCommand, value);
        }
        public async void NextCommandCommandExecute(object obj)
        {
            await _NavigationService.NavigateAsync("AddServerProcess_SelectServerPage").ConfigureAwait(false);
        }
        #endregion
    }
}
