﻿using Borepin.Base;
using Borepin.Service.Storage;
using FabAccessAPI;
using Prism.AppModel;
using Prism.Navigation;
using Prism.Services;
using System.Collections.Generic;
using Xamarin.Forms;

namespace Borepin.PageModel
{
    public class StartPageModel : PageModelBase, IPageLifecycleAware
    {
        #region Private Fields
        private readonly ILoginStorageService _LoginStorageService;
        #endregion

        #region Constructors
        public StartPageModel(INavigationService navigationService, IPageDialogService pageDialogService,  ILoginStorageService loginStorageService) : base(navigationService, pageDialogService)
        {
            _LoginStorageService = loginStorageService;
        }
        #endregion

        #region IPageLifecycleAware
        public async void OnAppearing()
        {
            IList<ConnectionData> connectionData_List = await _LoginStorageService.GetList().ConfigureAwait(false);
            if (connectionData_List.Count == 0)
            {
                Device.BeginInvokeOnMainThread(async () =>
                {
                    INavigationResult result = await _NavigationService.NavigateAsync("/MainPage/NavigationPage/SetUpProcess_WelcomePage").ConfigureAwait(false);
                    if (result.Exception != null)
                    {
                        Log.Fatal(result.Exception, "Navigating failed");
                    }
                });
            }
            else
            {
                Device.BeginInvokeOnMainThread(async () =>
                {
                    INavigationResult result = await _NavigationService.NavigateAsync("/MainPage/NavigationPage/ServerListPage").ConfigureAwait(false);
                    if (result.Exception != null)
                    {
                        Log.Fatal(result.Exception, "Navigating failed");
                    }
                });
            }
        }

        public void OnDisappearing()
        {
            
        }
        #endregion
    }
}
